container-build-debootstrap(1)

Name
container-build-debootstrap - Build a basic Debian based container with debootstrap or mmdebstrap

Synopsis
container build -s debootstrap ['OPTIONS']
cnt b -s debootstrap ['OPTIONS']

container build -s mmdebstrap ['OPTIONS']
cnt b -s mmdebstrap ['OPTIONS']

Description

The debootstrap container build script uses debootstrap(8) or mmdebstrap(1) to build a Debian based container.

This script builds a pure Debian system with three modificiations:

            •   apt cache of packages downloaded during debootstrap is cleaned

            •   hostname is set (container name) in /etc/hostname

            •   root password is set (user specified or 16 random characters)

Options

The following script options are available:

    -n, --name='NAME':
        Specify container name.

    -a, --architecture='ARCHITECTURE':
        Specify the Debian architecture, defaults to the host systems architecture.

    -d, --distribution='DISTRIBUTION':
        Specify the Debian distribution, defaults to 'trixie'.

    -m, --mirror='MIRROR':
        Specify the Debian mirror, defaults to '<https://deb.debian.org/debian>'.

    -p, --root-password='PASSWORD':
        Specify the root password, defaults to a random 16 character password.

Examples

Build a Debian 13 (trixie) based container with same architecture as the host system using debootstrap:
        sudo container build -s debootstrap -n trixie.example.net

Build a Debian 13 (trixie) based container with different architecture as the host system using mmdebstrap:
        sudo container build -s mmdebstrap -n trixie-i386.example.net -- -a i386

See also
compute-tools(7),
container(1).

Homepage

More information about compute-tools and the Open Infrastructure project can be found on the homepage (<https://open-infrastructure.net>).

Contact

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <<software@lists.open-infrastructure.net>>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (<https://bugs.debian.org>).

Authors

compute-tools were written by Daniel Baumann <<daniel.baumann@open-infrastructure.net>> and others.